<template>
  <div class='error'>
    <div class='error-page container'>
      <h1 v-show="error.statusCode === 404" class='base-title'>Page not found</h1>
      <h1 v-show="error.statusCode !== 404" class='base-title'>An error occurred - {{ error.statusCode }} </h1>
      <NuxtLink class='arrow-link' :to="localePath('/')">Home page</NuxtLink>
    </div>
  </div>
</template>

<script>
export default {
  props: ['error'],
  layout: 'error' // you can set a custom layout for the error page
}
</script>

<style scoped lang='scss'>

.error {
  position: relative;

  @media (min-width: 768px) {
    &::before {
      content: '';
      position: absolute;
      width: 506px;
      height: 898px;
      top: -334px;
      left: 0;
      background-image: url('../assets/img/cloud/bg-cloud.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      z-index: -1;
    }
  }

  &::after {
    content: '';
    width: 1308px;
    height: 533px;
    background-image: url('assets/img/stones@2x.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    bottom: 0;
    right: 0;
    position: absolute;
    pointer-events: none;
    z-index: -1;

    @media (max-width: 767px) {
      width: 1039px;
      height: 450px;
      right: -70px;
    }
  }
}

.error-page {
  min-height: calc(100vh - 376px);
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content:  center;

  @media (max-width: 767px) {
    min-height: 490px;
  }

  @media(min-width: 832px) {
    min-height: calc(100vh - 340px);
  }
}

.base-title {
  font-size: 60px;
  text-align: center;
}
</style>
